Bug 1255015 - gdeploy: unmount fails with fstype parameter
gdeploy: unmount fails with fstype parameter
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.1
Assigned To: Nandaja Varma
Anush Shetty
: ZStream
Depends On:
Blocks: 1251815
  Show dependency treegraph
 
Reported: 2015-08-19 08:39 EDT by Anush Shetty
Modified: 2016-07-03 21:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdeploy-1.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 03:24:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-08-19 08:39:17 EDT
Description of problem: unmount fails when fstype parameter is passed with the config file. Even though the results show the run as success, the volume continues to remain mounted on the client. 

Removing the fstype parameter fixes the issue.

Version-Release number of selected component (if applicable): 1.1


How reproducible: Always

Steps to Reproduce:
1. Install gdeploy (http://file.india.redhat.com/surs/gdeploy/gdeploy-1-1.noarch.rpm)
2. Edit the config file to run remove-brick operations
3. Run gdeploy: gdeploy -k -c /opt/gluster.conf

Actual results:

gdeploy run shows as succeeded, but umount command not executed on the client.


Expected results:

fstype parameter should be ignored and umount should succeed.

Additional info:

In the config file:-

[volume]
volname=glustervol2

[clients]
action=unmount
hosts=rhshdp03.lab.eng.blr.redhat.com
fstype=glusterfs
client_mount_points=/mnt/gluster6
Comment 2 Nandaja Varma 2015-08-31 08:01:36 EDT
Fixed in commit https://github.com/gluster/gdeploy/commit/2a9a57a73b21909deb4e60600081385ec8491316

Will be available in next build
Comment 3 Anush Shetty 2015-09-08 05:39:39 EDT
Verified with gdeploy-1.0-9.el7rhgs.noarch
Comment 6 errata-xmlrpc 2015-10-05 03:24:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.